# -*- coding: utf-8 -*-
'''
Created on Thu Nov  7 15:31:13 2024

@author: mstep
'''

#!/usr/bin/env python
# coding: utf-8

# In[2]:

# Spaceship image from:
# https://pixabay.com/vectors/ship-space-spaceship-1414822/

# UFO sound from:
# https://freesound.org/people/MATRIXXX_/sounds/465934/

import tkinter as tk
import winsound

class BackgroundMusicApp:
    def __init__(self):
        # We are initially not running the music.
        self.playing = False

        self.window = tk.Tk()
        self.window.title('play_background_music')
        self.window.protocol('WM_DELETE_WINDOW', self.kill_callback)
        self.window.geometry('300x200')

        # Start button.
        self.start_button = tk.Button(self.window, text='Start', width=7,
            command=self.start_click)
        self.start_button.place(relx=0.5, rely=0.5, anchor=tk.CENTER)

        self.window.mainloop()

    def speed_changed(self, value):
        self.speed_var.set(value)
        self.speed = self.speed_scale.get()

    def start_click(self):
        if self.playing:
            # Stop the music.
            self.start_button.config(text='Start')
            self.stop_sound()
        else:
            # Start the music.
            self.start_button.config(text='Stop')
            self.start_sound()

        self.playing = not self.playing        

    def kill_callback(self):
        # Destroy the tkinter window.
        self.stop_sound()
        self.window.destroy()

    def start_sound(self):
        # Play the UFO sound asynchronously in a loop.
        winsound.PlaySound('ufo.wav',
            winsound.SND_LOOP | winsound.SND_ASYNC)

    def stop_sound(self):
        # Stop the UFO sound.
        winsound.PlaySound(None, 0)


# In[3]:

BackgroundMusicApp()
print('Done')


# In[ ]:
